Skip to main content
GET
/
call-logs
List Call Histories
curl --request GET \
  --url https://api-west.millis.ai/call-logs \
  --header 'authorization: <authorization>'
import requests

url = "https://api-west.millis.ai/call-logs"

headers = {"authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {authorization: '<authorization>'}};

fetch('https://api-west.millis.ai/call-logs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "histories": [
    {
      "agent_id": "<string>",
      "agent_config": {},
      "duration": 123,
      "ts": 123,
      "chat": "<string>",
      "chars_used": 123,
      "session_id": "<string>",
      "call_id": "<string>",
      "cost_breakdown": [
        {}
      ],
      "voip": {},
      "recording": {},
      "metadata": {},
      "function_calls": [
        {}
      ]
    }
  ],
  "next_cursor": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Headers

authorization
string
required

Query Parameters

limit
integer
default:20

Number of records to return per page. Max 100.

Required range: x <= 100
start_after_ts
number | null

Cursor for pagination. This should be the 'next_cursor' value returned from a previous request.

start_time
number | null

Start of time window filter (Unix timestamp).

end_time
number | null

End of time window filter (Unix timestamp).

agent_id
string | null

Filter by specific agent ID.

call_status
string | null

Filter by call status (e.g., COMPLETED, FAILED, etc.).

phone_number
string | null

Filter by phone number (searches in voip field).

Response

Successful Response

histories
CallHistory · object[]
required
next_cursor
number | null